%define module   Package-Generator
%define version    0.103
%define release    %mkrel 2

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    pseudo-garbage-collection for packages
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Package/%{module}-%{version}.tar.gz
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This module allows you to create simple objects which, when destroyed,
delete a given package. This lets you approximate lexically scoped
packages.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Package

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.103-2.mga3
+ Revision: 371345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.103-1.mga1
+ Revision: 32300
- mageia rebuild
- imported package perl-Package-Generator

